/*
 * This file is a part of KleanSweep.
 *
 * Copyright (C) 2005 Pawel Stolowski <pawel.stolowski@wp.pl>
 *
 * KleanSweep is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#ifndef __FILELISTVIEW_H
#define __FILELISTVIEW_H

#include <qlistview.h>

class SweepFileInfo;
class FileViewItem;
class KPopupMenu;
class QPixmap;

class FileListView: public QListView
{
        Q_OBJECT

	private:
		FileListView *nextview;
		FileListView *prevview;
		KPopupMenu *menu;
		QPixmap *diricon;

	signals:
		void openDirectory(const QString &path);
		
	protected slots:
		virtual void openDirSelected();
		virtual void showContextMenu(QListViewItem *item, const QPoint &point, int col);

        public:
                FileListView(QWidget *parent, FileListView *prev=NULL);
                virtual ~FileListView();

		virtual void setupColumns();
		virtual void stateChanged(SweepFileInfo *f, bool state);
		virtual FileViewItem* find(SweepFileInfo *f);
		virtual KPopupMenu* contextMenu() const;
};

#endif
